# Währungsrechner – Projektbeschreibung

In diesem Projekt haben wir eine einfache WPF-Anwendung mit C# entwickelt, die Euro-Beträge in verschiedene andere Währungen umrechnen kann.  
Unser Ziel war es, das Problem zu lösen, dass viele Nutzer keinen schnellen und einfachen Zugang zu aktuellen Wechselkursen haben und Währungen deshalb oft mühsam manuell umrechnen müssen.

## Projektverlauf

### 1. Grundgerüst erstellen

Zuerst haben wir das Grundgerüst des Programms entwickelt. Dabei ging es vor allem darum, die Struktur der Anwendung festzulegen und die Hauptlogik für die Umrechnung zu programmieren.

Anschließend gestalteten wir die Benutzeroberfläche mithilfe von WPF und fügten grundlegende Steuerelemente wie `TextBox`, `ComboBox` und `Button` ein.

In der ersten Version konnte das Programm lediglich Euro in US-Dollar umrechnen.

---

### 2. Probleme mit Gitea und deren Lösung

Während der Versionsverwaltung traten anfangs Probleme mit Gitea auf.

**Unsere Lösung:**

- Zuerst ein Repository direkt in Gitea erstellen  
- Dann dieses Repository lokal klonen  
- Anschließend das Projekt in den geklonten Ordner verschieben und von dort aus weiterentwickeln  

So konnten wir Gitea schließlich erfolgreich für die Versionskontrolle nutzen.

---

### 3. Erweiterung auf mehrere Währungen

Nachdem das Grundgerüst funktionierte, haben wir das Programm erweitert.

Nun lassen sich nicht mehr nur Dollar, sondern auch weitere gängige Währungen auswählen, darunter:

- Britisches Pfund  
- Japanischer Yen  
- Türkische Lira  
- VAE-Dirham  

Diese Erweiterung erforderte kleinere Anpassungen im Code sowie an der Benutzeroberfläche.  
Dank der flexiblen Struktur lässt sich unser Programm mit wenigen Klicks um beliebig viele Währungen erweitern.

---

### 4. Oberfläche verschönern

Zum Schluss haben wir das Layout überarbeitet, um die Benutzerfreundlichkeit zu verbessern.

**Unsere Verbesserungen:**

- Texte in den Eingabefeldern zentriert  
- Steuerelemente gleichmäßig ausgerichtet  
- Ein sauberes und aufgeräumtes Design angestrebt  
- Die automatische Größenanpassung bei Fenstervergrößerung optimiert
- Fehlermeldungen angepasst  

---

### 5. Recherche und Teamarbeit

Bei verschiedenen Aufgaben war Internetrecherche notwendig – besonders im Umgang mit XAML und den Feinheiten der WPF-Gestaltung.  

**Hilfreiche Quellen waren dabei:**

- Die offizielle Microsoft-Dokumentation  
- Foren wie [mycsharp.de](https://mycsharp.de)  

ChatGPT haben wir ebenfalls ausprobiert, jedoch waren die Vorschläge oft unnötig kompliziert. Deshalb haben wir uns für einfachere und verständlichere Lösungen aus anderen Quellen entschieden.

**Aufgabenteilung im Team:**

- **Jan** war hauptsächlich für das Design mit **XAML** zuständig  
- **Kevin** (Autor dieser Dokumentation) hat sich vor allem um den **C#-Code** gekümmert  

Wir haben das Projekt gemeinsam Schritt für Schritt entwickelt und uns gegenseitig unterstützt.

---
